This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206838 - Review Request: python-tgfastdata - Automatic user interface generation for TurboGears
Review Request: python-tgfastdata - Automatic user interface generation for T...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-09-17 01:23 EDT by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-15 13:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-09-17 01:23:34 EDT
Spec URL: http://people.redhat.com/lmacken/SPECS/TGFastData.spec
SRPM URL: http://people.redhat.com/lmacken/RPMS/TGFastData-0.9a6-1.src.rpm
Description:
FastData is an extension to TurboGears which can provide automatic user
interface generation based upon an application's model objects.
Comment 1 Luke Macken 2006-09-30 02:39:50 EDT
http://people.redhat.com/lmacken/SPECS/python-tgfastdata.spec
http://people.redhat.com/lmacken/RPMS/python-tgfastdata-0.9a6-2.src.rpm

* Sat Sep 30 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-2
- Rename to python-tgfastdata
- Install egg-info
Comment 2 Jason Tibbitts 2006-10-10 11:13:03 EDT
I can't seem to install this package as it has a requirement on TurboGears which
isn't satisfiable in rawhide.
Comment 3 Luke Macken 2006-10-10 11:25:55 EDT
http://people.redhat.com/lmacken/RPMS/python-tgfastdata-0.9a6-3.src.rpm
http://people.redhat.com/lmacken/SPECS/python-tgfastdata.spec

* Tue Oct 10 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-3
- Remove TurboGears requirement
Comment 4 Jason Tibbitts 2006-10-10 11:51:09 EDT
Cool, it's building and installing now.  rpmlint says:

W: python-tgfastdata no-documentation
E: python-tgfastdata zero-length
/usr/lib/python2.4/site-packages/TurboKid-0.9a6-py2.4.egg-info/not-zip-safe

Generally zero-length files aren't packaged, but this is a flag file and so its
existence is more important than its content.  I guess if that egg-info stuff is
going to be packaged at all, then you need to package that file.

I'm having the same problem fetching the upstream source that I had with the
TurboCheetah package.
Comment 5 Luke Macken 2006-10-10 18:52:37 EDT
The Source0 should be:
http://files.turbogears.org/eggs/TGFastData-%{version}-py2.4.egg

I fixed it for the next revision.
Comment 6 Jason Tibbitts 2006-10-14 11:51:54 EDT
Hmm, I interpreted the above to mean that you were going to send along an
updated version.  But I'll go ahead and review -3 with the Source0: URL fixed
and see how it comes out.

The rpmlint warnings in comment #4 are present; I've found that not-zip-safe is
indeed a flag file and it seems that the egg-info junk really does need to be
packaged, so the zero-length-file bit is OK.  The no-documentation bit is
unfortunate, but you're not expected to write the documentation if it's not
already there.

There are tests, but there's no %check and I'm not sure if they can be run at
build time.  Is it possible to run them at all, even after the package is 
installed?  Otherwise I have no way to test this package.

The /usr/lib/python2.4/site-packages/tgfastdata/ directory is unowned, as are
all of the subdirectories of that directory.

You can probably just delete the empty %doc tag from %files.

* source files match upstream:
   523bdd96bda2f505c2626051a95565d4  TGFastData-0.9a6-py2.4.egg
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint has only acceptable complaints.
* final provides and requires are sane:
   python-tgfastdata = 0.9a6-3.fc6
  =
   python(abi) = 2.4
? %check is not present, but there are tests present.
X fails to own /usr/lib/python2.4/site-packages/tgfastdata and its subdirs.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* no docs at all to package.
Comment 7 Luke Macken 2006-10-14 12:44:08 EDT
The tests don't seem usable during build or even after (without instantiating
the classes and calling the test methods by hand), so I removed the test
directory from the package.

http://people.redhat.com/lmacken/RPMS/python-tgfastdata-0.9a6-4.src.rpm
http://people.redhat.com/lmacken/SPECS/python-tgfastdata.spec

* Tue Oct 14 2006 Luke Macken <lmacken@redhat.com> - 0.9a6-4
- Fix Source0
- Own %%{python_sitelib}/%{module}
- Don't install unusable tests
Comment 8 Jason Tibbitts 2006-10-15 00:12:54 EDT
OK, everything looks good to me now.  Too bad about the tests, though; it would
be nice to actually run them.  As it is I've no way to actually test this
package, but I'm sure it will get enough of a workout once you upgrade turbogears.

APPROVED
Comment 9 Luke Macken 2006-10-15 13:40:03 EDT
Once all of these TurboGears packages settle down a bit, I'll see what I can do
about working with the upstream to get all of the tests working for our builds
and whatnot.

I imported python-tgfastdata into CVS, added to owners.list, requested FC-5
branch, tagged and built for devel.  Thanks!
Comment 10 Kevin Fenzi 2006-12-21 22:14:47 EST
Changing summary for tracking purposes. 

Note You need to log in before you can comment on or make changes to this bug.